package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.engine.infa.InfoProperty;
import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreEngine;
import com.chenyang.nse.bussiness.entity.orm.table.core.masking.TCoreMaskingRule;
import com.chenyang.nse.bussiness.entity.vo.TmaskingRuleCustMapping;
import java.util.List;

public interface ImportMaskingRuleService {
   InfoProperty queryEngineById(String engineid);

   List<TCoreEngine> queryMaskingEngine();

   List<TCoreMaskingRule> queryRule();

   List<TCoreMaskingRule> queryRuleByEngineId(String engineid);

   List<TmaskingRuleCustMapping> queryRuleCustByEngineId(String engineid);

   void importMaskingRule(String engineid, List<TCoreMaskingRule> list);

   List<TCoreMaskingRule> queryValidRule();

   void saveRule(List<TCoreMaskingRule> list);
}
